Skip to main content
GET
List all tasks

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Query Parameters

ordering
enum<string>

Which field to use when ordering the results. The default is by descending created_at.

Available options:
created_at,
-created_at,
updated_at,
-updated_at,
status,
-status,
error_message,
-error_message,
provider_id,
-provider_id
Example:

"created_at"

created_at__lte
string<date-time>

Filter created_at less than or equal (ISO-8601).

created_at__gte
string<date-time>

Filter created_at greater than or equal (ISO-8601).

status
enum<string>

Filter by task status code.

Available options:
done,
error,
login_error,
account_locked,
mfa_error,
config_error,
no_data,
unavailable,
unable_to_reset,
not_supported
Example:

"done"

query
string

Search query by the following fields: id, link id, bridge token, order group id, tracking info.

provider
string

Filter by provider id.

product_type
enum<string>

Filter by product type.

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets
Example:

"income"

user_id
string

Filter by user id.

cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page.

Response

results
object[]
required
next
string<uri> | null
previous
string<uri> | null